#
# spec file for package python-pamela
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pamela
Version:        1.1.0
Release:        1.1
Summary:        PAM interface using ctypes
License:        MIT
URL:            https://github.com/minrk/pamela
Source:         https://github.com/minrk/pamela/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
PAM interface using ctypes.

%prep
%setup -q -n pamela-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_session seems to need root
%pytest -k 'not test_session'

%files %{python_files}
%doc README.md
%license COPYING
%{python_sitelib}/*

%changelog
* Fri Dec  8 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.0:
  * Enable password input in authenticate to be an iterable
* Thu Aug  8 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.0
